<DeviceModuleConfiguration>
  <Profile Name="eCLR 2.0 (Core: 2.5.0)" IsDefault="0" CoreProfileVersion="2.5.0" InternalVersion="1.1.0">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR 2.1 (Core: 2.7.2)" IsDefault="0" CoreProfileVersion="2.7.2" InternalVersion="2.1.2">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR 2.1 (Core: 2.7.3)" IsDefault="0" CoreProfileVersion="2.7.3" InternalVersion="2.1.3">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR 2.2 (Core: 2.8.1)" IsDefault="0" CoreProfileVersion="2.8.1" InternalVersion="2.2.0">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR 2.2 (Core: 2.8.2)" IsDefault="0" CoreProfileVersion="2.8.2" InternalVersion="2.2.1">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR 2.2 (Core: 2.8.3)" IsDefault="0" CoreProfileVersion="2.8.3" InternalVersion="2.2.2">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR 2.2 (Core: 2.8.5)" IsDefault="0" CoreProfileVersion="2.8.5" InternalVersion="2.2.4">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR (Core: 3.0.0)" IsDefault="0" CoreProfileVersion="3.0.0" InternalVersion="2.3.0">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR (Core: 3.0.1)" IsDefault="0" CoreProfileVersion="3.0.1" InternalVersion="2.3.1">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR (Core: 3.0.2)" IsDefault="0" CoreProfileVersion="3.0.2" InternalVersion="2.3.2">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR (Core: 3.0.3) CILC 2.0.0" IsDefault="0" CoreProfileVersion="3.0.3" InternalVersion="2.3.3">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="2.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR (Core: 3.0.3) CILC 3.0.0" IsDefault="0" CoreProfileVersion="3.0.3" InternalVersion="2.3.4">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="3.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
  </Profile>
  <Profile Name="eCLR (Core: 3.0.4)" IsDefault="0" CoreProfileVersion="3.0.4" InternalVersion="2.3.5">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="3.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
  </Profile>
  <Profile Name="eCLR (Core: 3.0.5)" IsDefault="0" CoreProfileVersion="3.0.5" InternalVersion="2.3.6">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="3.0.0" />
    <!--<Assembly Name="assembly-name" Version="2.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
  </Profile>
  <Profile Name="eCLR (Core: 3.0.6)" IsDefault="0" CoreProfileVersion="3.0.6" InternalVersion="2.4.0">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="3.0.0" />
    <!--nvtcpudp is optional for controllers that support network variables. The assembly reference can be removed if controller does not support network variables-->
    <!--<Assembly Name="nvtcpudp" Version="1.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
  </Profile>
  <Profile Name="eCLR (Core: 3.0.7)" IsDefault="0" CoreProfileVersion="3.0.7" InternalVersion="2.4.1">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="3.0.0" />
    <!--nvtcpudp is optional for controllers that support network variables. The assembly reference can be removed if controller does not support network variables-->
   <!--<Assembly Name="nvtcpudp" Version="1.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
  </Profile>
  <Profile Name="eCLR (Core: 3.0.8)" IsDefault="1" CoreProfileVersion="3.0.8" InternalVersion="2.4.2">
    <DeviceDescription MaximumImageFilesSize="67108864" MaximumImageSize="67108864" MaximumRetainDataSize="8000" MaximumDataSize="10485768" MaximumProgramSize="10485768" CPUType="513" IsDownloadChangesCapable="true"/>
    <CILCompiler Prefix="cilc" ProcessorType="arm7" ProgrammingModel="arm" Version="3.0.0" />
    <!--nvtcpudp is optional for controllers that support network variables. The assembly reference can be removed if controller does not support network variables-->
    <!--<Assembly Name="nvtcpudp" Version="1.0.0" IsNative="1"/>-->
    <Assembly Name="IO_DRIVER_LIB" Version="1.0.0" IsNative="1"/>
    <Assembly Name="SHM_LIB" Version="1.0.0" IsNative="1"/>
    <DownloadPouInfoList>true</DownloadPouInfoList>
    <DownloadSfcPouList>true</DownloadSfcPouList>
    <!--<OnlineIncludeFile>xyz.ext</OnlineIncludeFile>-->
  </Profile>
</DeviceModuleConfiguration>